OfficeGest
Stocks/Articles/{article}/Kits

Add a component to the kit

Adds a component line to the kit. The line number is the next free line of the kit; the unit defaults to the component measurement unit. Rejects a component that does not exist, is the kit itself or is already in the kit.

POST
/stocks/articles/{article}/kits
AuthorizationBearer <token>

In: header

Path Parameters

articlestring
article_idstring

Component article code. Must exist, differ from the kit and not be a component of the kit yet.

quantitynumber

Component quantity per kit unit. Must be greater than 0.

Range0 < value
unit?string

Measurement unit code. Defaults to the component measurement unit.

Response Body

curl -X POST "https://og-tenant1.test:8003/api/v2/stocks/articles/string/kits" \
  -H "Content-Type: application/json" \
  -d '{
    "article_id": "ART001",
    "quantity": 2
  }'
Empty
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}